Foxit PDF SDK

Public Member Functions | List of all members
FSDK.FormFileInfo Class Reference

## Public Member Functions
| constructor (file_path, password)
| Constructor, with parameters. More...
| constructor (reader_callback, password, file_name)
| Constructor, with parameters. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents form file information. Form file can be PDF, FDF, XML or XFDF format.

## Member Function Documentation

## ◆ constructor() [1/2]

FSDK.FormFileInfo.constructor | ( | file_path | ,
|  | password |
| ) |  |

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | file_path | File path of a form file. This should be a PDF, FDF, XML or XFDF file.
  [in] | password | The password of input file specified by parameter file_path. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.

## ◆ constructor() [2/2]

FSDK.FormFileInfo.constructor | ( | reader_callback | ,
|  | password | ,
|  | file_name |
| ) |  |

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | reader_callback | The reader file callback of a file, which is to be combined with other files. And it only supports PDF, FDF, XML and XFDF files.
  [in] | password | The password of input file specified by parameter reader_callback. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.
  [in] | file_name | File name of input file which is specified by parameter reader_callback. This name will be written into target file when current information object is used in combination. This can be an empty string.

## ◆ IsEmpty()

FSDK.FormFileInfo.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.